LOG(3)

NAME
log, logf, logl - natural logarithmic function

SYNOPSIS
#include <math.h>

double log(double x);
float logf(float x);
long double logl(long double x);

Link with -lm.

DESCRIPTION
The log() function returns the natural logarithm of x.

ERRORS
The log() function can return the following errors:

EDOM
    The argument x is negative.

ERANGE
    The argument x is zero. The log of zero is not defined (minus infinity).

CONFORMING TO
SVr4, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
cbrt(3), clog(3), log1p(3), sqrt(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.